1. Space Related
Realsee Open API
  • Open API
    • Permission Interface
      • Get access_token
    • Metadata Related
      • Short Link Code Parsing
      • Combine VR Data
    • Viewing Service
      • Create Viewing Room (Open Platform Version)
      • Get Room Ticket
      • Get Voice Room Signature Interface
      • Get Viewing Room Details
    • Basic Data
      • VR Basic Data
      • Homepage Basic Data
      • Project List Data
      • VR point collection information
    • Edit Data
      • Space Related
        • Route guidance (old)
          GET
        • Hot data
          GET
        • Ruler data
          GET
        • Explain data
          GET
        • Point navigation data
          GET
        • Floor plan plug-in related data
          GET
        • Point video data
          GET
        • Custom ruler data
          GET
        • Label data
          GET
        • Route guidance
          GET
        • Get floor perspective
          GET
        • Get a list of surveillance videos
          GET
        • Hot data_V2
          GET
        • Hot data_V4
          GET
        • Get the entry door data
          GET
        • Entry door data interface
          GET
        • Get tag details
          GET
        • Point navigation data (new)
          GET
        • Tag list
          GET
        • Route planning
          GET
      • Business Related
        • VR introduction data
        • Extended information details (PDF&image file list)
        • Get PDF file preview link
        • Personal business card information
        • Get page component data
      • Configuration Related
        • VR configuration data
        • Source dimension introduction
        • Route guidance personalized configuration
        • Tag configuration
  • Schemas
    • Schemas
      • Work Data
      • Account description
      • Hot spot tag data
      • User details
      • Hotspot tag response data body
      • Account details
      • Manual ruler data
      • Point navigation data
      • Point video data
      • Label data
      • Route guidance data
      • Short-link coding details
      • Home screen data
      • Gateway response body
  1. Space Related

Route guidance (old)

Deprecated
GET
https://app-gateway.realsee.ai/open/saas/v2/route/search

Request

Query Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --globoff 'https://app-gateway.realsee.ai/open/saas/v2/route/search?resource_code=&is_asc=true' \
--header 'Authorization: '

Responses

🟢200成功
application/json
Bodyapplication/json

Example
{
    "request_id": "string",
    "trace_id": "string",
    "osi_request_id": "string",
    "business_code": "string",
    "code": 0,
    "status": "string",
    "cost": 0,
    "data": {
        "list": [
            {
                "custom_id": 0,
                "display_index": 0,
                "id": 0,
                "model_style_config": {
                    "background_color": "string",
                    "background_opacity": 0,
                    "border_color": "string",
                    "border_opacity": 0,
                    "color": "string",
                    "end_tag": {
                        "data": {
                            "icon_url": "string",
                            "key": "string",
                            "text": "string"
                        },
                        "id": "string",
                        "position": [
                            0
                        ]
                    },
                    "opacity": 0,
                    "scale": 0,
                    "start_tag": {
                        "data": {
                            "icon_url": "string",
                            "key": "string",
                            "text": "string"
                        },
                        "id": "string",
                        "position": [
                            0
                        ]
                    },
                    "texture": {
                        "key": "string"
                    },
                    "unit_length": 0,
                    "visible": true,
                    "width": 0
                },
                "name": "string",
                "pano_group": [
                    0
                ],
                "panorama_style_config": {
                    "background_opacity": 0,
                    "border_opacity": 0,
                    "opacity": 0,
                    "scale": 0,
                    "texture": {
                        "key": "string"
                    },
                    "unit_length": 0,
                    "visible": true,
                    "width": 0
                },
                "path": [
                    {
                        "curve_type": "string",
                        "points": [
                            [
                                0
                            ]
                        ],
                        "tension": 0,
                        "type": "string"
                    }
                ],
                "type": "string",
                "user_id": 0,
                "visible_floor_indexes": [
                    0
                ]
            }
        ]
    }
}
Previous
VR point collection information
Next
Hot data
Built with